Yum szuka pakietu, ale nie może go znaleźć do zainstalowania


Mam ten problem na serwerze FC8, gdzie jeśli szukam czegoś w yum, znajduje pakiety, których szukam, ale kiedy idę zainstalować pakiet, mówi, że go tam nie ma ...?
[hamstar@tankian ~]$ yum search pecl
php-pecl-apc.i386 : APC caches and optimizes PHP intermediate code[hamstar@tankian ~]$ sudo yum install php-pecl-apc.i386
Setting up Install Process
Parsing package install arguments
No package php-pecl-apc.i386 available.
Nothing to do[hamstar@tankian ~]$ sudo yum install php-pecl-apc
Setting up Install Process
Parsing package install arguments
No package php-pecl-apc available.
Nothing to do

co?
EDYCJA: aktualizacja Yum pokazuje to:
[hamstar@tankian ~]$ sudo yum update
Setting up Update Process
No Packages marked for Update

EDYCJA: też tego próbowałem i próbowałem ponownie bez powodzenia:
[hamstar@tankian ~]$ sudo yum clean all
Cleaning up Everything

EDYCJA: Właśnie zdałem sobie sprawę, że ten pakiet jest zainstalowany, ale zastąpienie nazwy pakietu pyqt (i jego wariantami), który nie jest zainstalowany, daje te same wyniki. Oto wynik dla pakietu, który jest już zainstalowany na moim innym serwerze FC8.
[root@dolmayan ~]# yum install php
Setting up Install Process
Parsing package install arguments
Package php - 5.2.4-3.i386 is already installed.
Nothing to do


ROZKŁAD
W komentarzu Alexa powiedział, że idź do

ta strona wiki Fedory
https://fedoraproject.org/wiki ... do.3F
tak zrobiłem i uruchomiłem polecenia:
wget [url=http://kojipkgs.fedoraproject.org/packages/fedora-release/8/6.transition/data/signed/4f2a6fd2/noarch/fedora-release-8-6.transition.noarch.rpm]http://kojipkgs.fedoraproject. ... h.rpm[/url]
su -c 'rpm -Uvh fedora-release-8-6.transition.noarch.rpm'

Mam klucz od

Tutaj
http://keys.gnupg.net:11371/pk ... 3Dget
wyczyściłem stary klucz GPG i włożyłem do niego nowy.
su -c 'echo >/etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-8-and-9
sudo vi/etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-8-and-9

Potem biegł:
su -c 'rpm --import/etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-8-and-9'

Gotowe!
Zaproszony:
Anonimowy użytkownik

Anonimowy użytkownik

Potwierdzenie od:

Zacząłbym od:
sudo yum clean all

a potem spróbuj
sudo yum -y install php-pecl-apc
Anonimowy użytkownik

Anonimowy użytkownik

Potwierdzenie od:

Zaktualizuj yum i spróbuj ponownie. Dzieje się tak, gdy lokalny indeks pakietów staje się stary i nowe wersje pakietów są wydawane.
Najlepsze życzenia Fabian
Anonimowy użytkownik

Anonimowy użytkownik

Potwierdzenie od:

Spróbuj wykluczyć łuk ze specyfikacji pakietu:
[hamstar@tankian ~]$ sudo yum install php-pecl-apc
Anonimowy użytkownik

Anonimowy użytkownik

Potwierdzenie od:

Jeszcze nie zainstalowany?
yum list installed | grep pecl 

Aby odpowiedzieć na pytania, Zaloguj się lub Zarejestruj się